System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.HttpException To be added

The exception that is thrown when a compiler error occurs.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

  The exception message to specify when the error occurs.
- Constructor
  2.0.0.0

  For the parameter, you can pass any string information that is descriptive to the error condition; there are no checks on file or path. The property returns the string that was passed as the parameter value. If you use a constructor that does not require the parameter, the property is null.

  Initializes a new instance of the class.

  A containing compiler output and error information.
  The path to the file that contains the source code being compiled when the error occurs.
- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class with a specified error message and a reference to the inner exception that is the cause of this exception.

  The error message that explains the reason for the exception.
  The exception that is the cause of the current exception. If is not null, the current exception is raised in a catch block that handles the inner exception.
- Method
  2.0.0.0
  System.Void `` `` To be added.

  Sets the object with information about the exception.

  The that holds the serialized object data about the exception being thrown. The that contains contextual information about the source or destination.
- Property
  1.0.5000.0
  2.0.0.0
  System.String To be added. To be added.

  Gets a message that describes the reason for the current exception.

- Property
  System.CodeDom.Compiler.CompilerResults a To be added

  Gets compiler output and error information for the exception.

  1.0.5000.0
  2.0.0.0
- Property
  System.String To be added: an object of type 'string' To be added

  Gets a string containing the path to the file that contains the source code being compiled when the error occurs.

  1.0.5000.0
  2.0.0.0